clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::DefaultOptionsProvider Class Reference

Implementation of the `ClangTidyOptionsProvider` interface, which returns the same options for all files. More...

`#include <ClangTidyOptions.h>`

Inheritance diagram for clang::tidy::DefaultOptionsProvider:
[legend]
Collaboration diagram for clang::tidy::DefaultOptionsProvider:
[legend]

## Public Member Functions
| DefaultOptionsProvider (const ClangTidyGlobalOptions &GlobalOptions, const ClangTidyOptions &Options)
const ClangTidyGlobalOptions & | getGlobalOptions () override
| Returns global options, which are independent of the file. More...
ClangTidyOptions | getOptions (llvm::StringRef) override
| Returns options applying to a specific translation unit with the specified `FileName`. More...
Public Member Functions inherited from clang::tidy::ClangTidyOptionsProvider
virtual | ~ClangTidyOptionsProvider ()

## Detailed Description

Implementation of the `ClangTidyOptionsProvider` interface, which returns the same options for all files.

Definition at line 111 of file ClangTidyOptions.h.

## Constructor & Destructor Documentation

clang::tidy::DefaultOptionsProvider::DefaultOptionsProvider | ( | const ClangTidyGlobalOptions & | GlobalOptions,
|  | const ClangTidyOptions & | Options
| ) |  |
| inline

Definition at line 113 of file ClangTidyOptions.h.

## Member Function Documentation

const ClangTidyGlobalOptions& clang::tidy::DefaultOptionsProvider::getGlobalOptions | ( |  | ) |
| inline override virtual

Returns global options, which are independent of the file.

Implements clang::tidy::ClangTidyOptionsProvider.

Definition at line 116 of file ClangTidyOptions.h.

ClangTidyOptions clang::tidy::DefaultOptionsProvider::getOptions | ( | llvm::StringRef | FileName | ) |
| inline override virtual

Returns options applying to a specific translation unit with the specified `FileName`.

Implements clang::tidy::ClangTidyOptionsProvider.

Reimplemented in clang::tidy::FileOptionsProvider.

Definition at line 119 of file ClangTidyOptions.h.

Referenced by clang::tidy::FileOptionsProvider::TryReadConfigFile().

The documentation for this class was generated from the following file:

- ClangTidyOptions.h